gpior equ $fff7 ; GPIO Control/Data Register
gdd3 equ 9 ; direction bit for GPIO3
gd3 equ 1 ; data bit for GPIO3



  org p:$0 ; bootstrap code starts at $0
  jmp start

  org p:$8
start:
    bset #gdd3,x:gpior
    do #100,petla2
    do #1000,petla1

    nop

petla1:
    nop
petla2:
    bclr #gdd3,x:gpior

    do #100,petla3
    do #1000,petla4

    nop

petla4:
    nop
petla3:

    jmp start

